<?xml version="1.0" encoding="utf-8"?>
<!--
   Stylesheet for customizing the wizard layout of the edit wizards.

   Author: yigal
   Created: 25-07-2003
   Version: $Revision: 1.2 $, $Date: 2005/03/17 07:38:36 $
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

   <!-- Import original stylesheet -->
   <xsl:import href="ew:xsl/wizard.xsl"/>


   <!-- this template adds a line with help if this is avaliable for the field-->
<!--
     <xsl:template match="field">
         <xsl:choose>
           <xsl:when test="not(ancestor::list) and string(child::description)" >
           <td class="fieldhelp" colspan="2" >
               <div style="font-size: 11px;font-weight: 300;color:#333333;">
                   <xsl:call-template name="i18n">
                     <xsl:with-param name="nodes" select="description"/>
                   </xsl:call-template>
               </div>
           </td>
           <xsl:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</xsl:text>
                 <xsl:call-template name="field-internal"/>
         </xsl:when>
         <xsl:otherwise>
           <xsl:call-template name="field-internal"/>
         </xsl:otherwise>
         </xsl:choose>
       </xsl:template>
-->
     <!--
       This template shows the prompt and the field html input widget
     -->
<!--
        <xsl:template name="field-internal">
           <td class="fieldprompt">
             <xsl:call-template name="prompt"/>
             <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
           </td>
           <td class="field" >
             <xsl:call-template name="fieldintern"/>
             <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
           </td>
        </xsl:template>
-->


     <!--
       Wizard List template
       This template adds output for the description element in the wizard
     -->
<!--
     <xsl:template match="list">
       <table class="listcontent">
         <tr>
           <td class="listprompt">
             <xsl:call-template name="listprompt"/>
           </td>
         </tr>
       <xsl:if test="child::description">
       <tr>
           <td class="listhelp">
               <div style="font-size: 11px;font-weight: 300;color:#333333;" >
                   <xsl:call-template name="i18n">
                     <xsl:with-param name="nodes" select="description"/>
                   </xsl:call-template>
               </div>
           </td>
       </tr>
       </xsl:if>
         <tr class="itemcanvas">
           <td>
             <xsl:call-template name="listitems"/>
           </td>
         </tr>
         <tr>
           <td class="listsearch">
             <xsl:call-template name="listsearch"/>
           </td>
         </tr>
         <tr>
           <td class="listnewbuttons">
             <xsl:call-template name="listnewbuttons"/>
           </td>
         </tr>
       </table>
       <p>
         <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
       </p>
     </xsl:template>
 -->

   <!-- Maximum length for fields (approximation) -->
   <xsl:variable name="MAX_LENGTH" select="30"/>

   <!--
      This template truncates fields that are too long.
   -->
   <xsl:template name="writeCurrentField">
      <xsl:choose>
         <xsl:when test="string-length(.) &gt; $MAX_LENGTH">
            <xsl:value-of select="substring(normalize-space(.), 0, $MAX_LENGTH)" disable-output-escaping="yes"/>...
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="." disable-output-escaping="yes"/>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--
      Prints values with 'ftype=data'.
      Overridden to truncate size
   -->
   <xsl:template match="value" mode="line">
      <span>
         <xsl:call-template name="writeCurrentField"/>
      </span>
   </xsl:template>

</xsl:stylesheet>