<?xml version="1.0" encoding="utf-8"?>
<!--
   Stylesheet for customizing the wizard layout of the edit wizards.
   Also a bugfix for images with required fields.

   Author: yigal
   Created: 25-07-2003
   Version: $Revision: 1.4 $, $Date: 2005/03/17 07:38:36 $
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:node="org.mmbase.bridge.util.xml.NodeFunction" xmlns:date="org.mmbase.bridge.util.xml.DateFormat" extension-element-prefixes="node date">

   <!-- Import original stylesheet -->
   <xsl:import href="ew:xsl/wizard.xsl"/>

   <!-- this template adds a line with help if this is avaliable for the field-->
<!--
     <xsl:template match="field">
         <xsl:choose>
           <xsl:when test="not(ancestor::list) and string(child::description)" >
           <td class="fieldhelp" colspan="2" >
               <div style="font-size: 11px;font-weight: 300;color:#333333;">
                   <xsl:call-template name="i18n">
                     <xsl:with-param name="nodes" select="description"/>
                   </xsl:call-template>
               </div>
           </td>
           <xsl:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</xsl:text>
                 <xsl:call-template name="field-internal"/>
         </xsl:when>
         <xsl:otherwise>
           <xsl:call-template name="field-internal"/>
         </xsl:otherwise>
         </xsl:choose>
       </xsl:template>
-->
     <!--
       This template shows the prompt and the field html input widget
     -->
<!--
        <xsl:template name="field-internal">
           <td class="fieldprompt">
             <xsl:call-template name="prompt"/>
             <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
           </td>
           <td class="field" >
             <xsl:call-template name="fieldintern"/>
             <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
           </td>
        </xsl:template>
-->


     <!--
       Wizard List template
       This template adds output for the description element in the wizard
     -->
<!--
     <xsl:template match="list">
       <table class="listcontent">
         <tr>
           <td class="listprompt">
             <xsl:call-template name="listprompt"/>
           </td>
         </tr>
       <xsl:if test="child::description">
       <tr>
           <td class="listhelp">
               <div style="font-size: 11px;font-weight: 300;color:#333333;" >
                   <xsl:call-template name="i18n">
                     <xsl:with-param name="nodes" select="description"/>
                   </xsl:call-template>
               </div>
           </td>
       </tr>
       </xsl:if>
         <tr class="itemcanvas">
           <td>
             <xsl:call-template name="listitems"/>
           </td>
         </tr>
         <tr>
           <td class="listsearch">
             <xsl:call-template name="listsearch"/>
           </td>
         </tr>
         <tr>
           <td class="listnewbuttons">
             <xsl:call-template name="listnewbuttons"/>
           </td>
         </tr>
       </table>
       <p>
         <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
       </p>
     </xsl:template>
 -->

   <!-- Maximum length for fields (approximation) -->
   <xsl:variable name="MAX_LENGTH" select="30"/>

   <!--
      This template truncates fields that are too long.
   -->
   <xsl:template name="writeCurrentField">
      <xsl:choose>
         <xsl:when test="string-length(.) &gt; $MAX_LENGTH">
            <xsl:value-of select="substring(normalize-space(.), 0, $MAX_LENGTH)" disable-output-escaping="yes"/>...
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="." disable-output-escaping="yes"/>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--
      Prints values with 'ftype=data'.
      Overridden to truncate size
   -->
   <xsl:template match="value" mode="line">
      <span>
         <xsl:call-template name="writeCurrentField"/>
      </span>
   </xsl:template>


    <!-- Because of a bug in MMBase 1.7 the following template is patched -->
    
  <xsl:template name="ftype-image">
    <xsl:if test="@maywrite!=&apos;false&apos;">
      <xsl:choose>
        <xsl:when test="@dttype=&apos;binary&apos; and not(upload)">
          <div class="imageupload">
            <div>
              <input type="hidden" name="{@fieldname}" value="" dttype="binary" ftype="image" >

<!-- changed Martijn Houtman
                <xsl:if test="@dtrequired=&apos;true&apos;">
-->
                <xsl:if test="@dtrequired=&apos;true&apos; and starts-with(@number, &apos;n&apos;)">
                  <xsl:attribute name="dtrequired">true</xsl:attribute>
                </xsl:if>
              </input>
              <a href="{$uploadpage}&amp;popupid={$popupid}&amp;did={@did}&amp;wizard={/wizard/@instance}&amp;maxsize={@dtmaxsize}" onclick="return doStartUpload(this);">
                <xsl:call-template name="prompt_image_upload"/>
              </a>
              <br/>
              <xsl:if test="not(starts-with(@number, &apos;n&apos;))">
                <img src="{node:function($cloud, string(@number), concat(&apos;servletpath(&apos;, $cloudkey, &apos;,cache(&apos;, $imagesize, &apos;))&apos;))}" hspace="0" vspace="0" border="0" title="{field[@name=&apos;description&apos;]}"/>
                <br/>
              </xsl:if>
            </div>
          </div>
        </xsl:when>
        <xsl:when test="@dttype=&apos;binary&apos; and upload">
          <div class="imageupload">
            <input type="hidden" name="{@fieldname}" value="YES" dttype="binary" ftype="image" >
              <xsl:if test="@dtrequired=&apos;true&apos;">
                <xsl:attribute name="dtrequired">true</xsl:attribute>
              </xsl:if>
            </input>
            <img src="{upload/path}" hspace="0" vspace="0" border="0" width="128" height="128"/>
            <br/>
            <span>
              <xsl:value-of select="upload/@name"/>
              <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
              (<xsl:value-of select="round((upload/@size) div 100) div 10"/>K)
            </span>
            <br/>
            <a href="{$uploadpage}&amp;popupid={$popupid}&amp;did={@did}&amp;wizard={/wizard/@instance}&amp;maxsize={@dtmaxsize}" onclick="return doStartUpload(this);">
              <xsl:call-template name="prompt_image_upload"/>
            </a>
          </div>
        </xsl:when>
        <xsl:otherwise>
          <span>
            <img src="{node:function($cloud, string(@number), concat(&apos;servletpath(&apos;, $cloudkey, &apos;,cache(&apos;, $imagesize, &apos;))&apos;))}" hspace="0" vspace="0" border="0" title="{field[@name=&apos;description&apos;]}"/>
            <br/>
          </span>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:if test="@maywrite=&apos;false&apos;">
      <span class="readonly">
        <img src="{node:function($cloud, string(@number), concat(&apos;servletpath(&apos;, $cloudkey, &apos;,cache(&apos;, $imagesize, &apos;))&apos;))}" hspace="0" vspace="0" border="0"/>
      </span>
    </xsl:if>
  </xsl:template>


  <xsl:template name="ftype-file">
    <xsl:choose>
      <xsl:when test="@dttype=&apos;data&apos; or @maywrite=&apos;false&apos;">
        <a target="_blank" href="{node:function($cloud, string(@number), concat(&apos;servletpath(&apos;, $cloudkey, &apos;,number)&apos;))}">
          <xsl:call-template name="prompt_do_download"/>
        </a>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="not(upload)">
            <input type="hidden" name="{@fieldname}" value="" dttype="binary" ftype="file" >
            
            
<!-- changed Martijn Houtman
                <xsl:if test="@dtrequired=&apos;true&apos;">
-->
                <xsl:if test="@dtrequired=&apos;true&apos; and starts-with(@number, &apos;n&apos;)">
                <xsl:attribute name="dtrequired">true</xsl:attribute>
              </xsl:if>
            </input>
            <xsl:call-template name="prompt_no_file"/>
            <br/>
            <xsl:if test="not(starts-with(@number, &apos;n&apos;))">
              <a target="_blank" href="{node:function($cloud, string(@number), concat(&apos;servletpath(&apos;, $cloudkey, &apos;,number)&apos;))}">
                <xsl:call-template name="prompt_do_download"/>
              </a>
              <br/>
            </xsl:if>
          </xsl:when>
          <xsl:otherwise>
            <input type="hidden" name="{@fieldname}" value="YES" dttype="binary" ftype="file" >
              <xsl:if test="@dtrequired=&apos;true&apos;">
                <xsl:attribute name="dtrequired">true</xsl:attribute>
              </xsl:if>
            </input>
            <xsl:call-template name="prompt_uploaded"/>
            <xsl:value-of select="upload/@name"/>
            <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
            (<xsl:value-of select="round((upload/@size) div 100) div 10"/> K)
            <br/>
            <a target="_blank" href="file://{upload/path}">
              <xsl:call-template name="prompt_do_download"/>
            </a>
          </xsl:otherwise>
        </xsl:choose>
        <a href="{$uploadpage}&amp;popupid={$popupid}&amp;did={@did}&amp;wizard={/wizard/@instance}&amp;maxsize={@dtmaxsize}" onclick="return doStartUpload(this);">
          <xsl:call-template name="prompt_do_upload"/>
        </a>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


</xsl:stylesheet>